Skip to main content
POST
/
api
/
v1
/
instance
/
search
search entities
curl --request POST \
  --url https://api.example.com/api/v1/instance/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "from": 0,
  "size": 10,
  "where": "field1='value' and field2<>'value2'",
  "sort": [
    {
      "field": "timestamp",
      "order": "Asc"
    }
  ],
  "trackTotal": false
}
EOF
{
  "data": [
    {
      "license": {
        "name": "<string>",
        "version": "<string>",
        "id": 1,
        "createdAt": 123,
        "updatedAt": 123,
        "status": "ACTIVE",
        "icon": "<string>",
        "scoreGroups": [
          {
            "id": 1,
            "createdAt": 123,
            "updatedAt": 123,
            "status": "ACTIVE",
            "name": "<string>",
            "title": "<string>",
            "description": "<string>"
          }
        ],
        "params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
        "groupScript": "<string>",
        "scoreScript": "<string>"
      },
      "organisationId": 123,
      "projectId": 123,
      "licenseStatus": "PENDING",
      "id": 1,
      "createdAt": 123,
      "updatedAt": 123,
      "status": "ACTIVE",
      "licenseInstanceMeta": [
        {
          "id": 1,
          "createdAt": 123,
          "updatedAt": 123,
          "status": "ACTIVE",
          "licenseInstanceId": 123,
          "startedAt": "2022-03-10T16:15:50Z",
          "expiredAt": "2022-03-10T16:15:50Z"
        }
      ]
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Body

application/json
from
integer<int32>
default:0

Starting document offset

Required range: x >= 0
Example:

0

size
integer<int32>
default:10

The number of hits to return

Required range: 0 <= x <= 10000
Example:

10

where
string

Query string to search for data. Represent SQL 'where'

Example:

"field1='value' and field2<>'value2'"

sort
object[]

Sorting for the search

Minimum array length: 1
trackTotal
boolean
default:false

Return total results field if true

Response

200 - application/json

OK

data
object[]

Response data

total
integer<int64>

Total amount of document available for this request